Name: H5Pfill_value_defined
Signature:
  herr_t `H5Pfill_value_defined`(hid_t `plist_id`, H5D_fill_value_t *`status` )
Purpose:
  Determines whether fill value is defined.
Description:
  `H5Pfill_value_defined` determines whether a fill value is defined in the dataset creation property list `plist_id`.

  Valid values returned in `status` are as follows:

  | `H5D_FILL_VALUE_UNDEFINED` | Fill value is undefined.
  `H5D_FILL_VALUE_DEFAULT` | Fill value is the library default.
  `H5D_FILL_VALUE_USER_DEFINED` | Fill value is defined by the application.

Note:
  `H5Pfill_value_defined` is designed for use in concert with the dataset fill value properties functions `H5Pget_fill_value` and `H5Pget_fill_time`.

  See H5Dcreate for further cross-references.

Parameters:

hid_t `plist_id` | IN: Dataset creation property list identifier.
H5D_fill_value_t *`status` | OUT: Status of fill value in property list.

Returns:
  Returns a non-negative value if successful; otherwise returns a negative value.
Fortran90 Interface:
  None.
History:

Release | C
1.6.0 | Function introduced in this release.